UTRACE(2)

NAME
utrace - insert user record in ktrace log

LIBRARY
libc

SYNOPSIS
#include <sys/param.h>
#include <sys/time.h>
#include <sys/uio.h>
#include <sys/ktrace.h>
int
utrace(const void *addr, size_t len);

DESCRIPTION
Adds a record to the process trace with information supplied by user. The record contains len bytes from memory pointed to by addr. This call only has an effect if the calling process is being traced.

RETURN VALUES

ERRORS

[EINVAL]
    Specified data length len was bigger than KTR_USER_MAXLEN.

[ENOMEM]
    Insufficient memory to honor the request.

[ENOSYS]
    Currently running kernel was compiled without ktrace(2) support (options KTRACE).

SEE ALSO
kdump(1), ktrace(1), truss(1), ktrace(2), sysdecode_utrace(3)

HISTORY
The utrace() system call first appeared in FreeBSD 2.2.